#include "vdr/ci.h"
#include "vdr/device.h"
#include "vdr/epg.h"
#include "vdr/osdbase.h"
#include "vdr/dvbplayer.h"
#include "vdr/recorder.h"
#include "vdr/recording.h"
#include "vdr/skins.h"

class cMenuAufnahmeAuswahlItem;
class cMenuAufnahmeAuswahl : public cOsdMenu {
private:
  static cRecordings Recordings;
  char *base;
  int level;
  static int helpKeys;
  void SetHelpKeys(void);
  bool Open(bool OpenSubMenus = false);
  void Hinzufuegen(cMenuAufnahmeAuswahlItem *ri);
  int projekttyp;
public:
  cMenuAufnahmeAuswahl(const char *Base = NULL, int Level = 0, bool OpenSubMenus = false);
  cMenuAufnahmeAuswahl(int);
  ~cMenuAufnahmeAuswahl();
  virtual eOSState ProcessKey(eKeys Key);
};

